CREATE TABLE cst_overhead_rule_details (
    RULE_ID                  NUMBER(18, 0)    NOT NULL,
    RULE_DETAIL_ID           NUMBER(18, 0),
    EFFECTIVE_START_DATE     DATE             NOT NULL,
    EFFECTIVE_END_DATE       DATE             NOT NULL,
    VERSION_NUMBER           NUMBER           NOT NULL,
    RATE                     NUMBER           NOT NULL,
    POSTED_FLAG              VARCHAR2(4)  ,
    DELETED_FLAG             VARCHAR2(4)  ,
    PROCESSED_FLAG           VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    RULE_ID                  NUMBER(18, 0)    NOT NULL,
    RULE_DETAIL_ID           NUMBER(18, 0),
    EFFECTIVE_START_DATE     DATE             NOT NULL,
    EFFECTIVE_END_DATE       DATE             NOT NULL,
    VERSION_NUMBER           NUMBER           NOT NULL,
    RATE                     NUMBER           NOT NULL,
    POSTED_FLAG              VARCHAR2(4)  ,
    DELETED_FLAG             VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    PROCESSED_FLAG           VARCHAR2(4)  ,
    CONSTRAINT pk_cst_overhead_rule_details PRIMARY KEY (RULE_DETAIL_ID, RULE_DETAIL_ID)
);
